## ros-galactic-launch 0.17.2

=== debian/changelog ===
ros-galactic-launch (0.17.2-1focal) focal; urgency=high

  * Add missing exec dependency on PyYAML (#682 <https://github.com/ros2/launch/issues/682>)
  * Support scoping environment variables (#631 <https://github.com/ros2/launch/issues/631>)
  * Contributors: Jacob Perron, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-launch (0.17.1-1focal) focal; urgency=high

  * Evaluate math symbols and functions in python expression (#557 <https://github.com/ros2/launch/issues/557>) (#563 <https://github.com/ros2/launch/issues/563>)
  * Allow for raw path specification in IncludeLaunchDescription (#544 <https://github.com/ros2/launch/issues/544>) (#549 <https://github.com/ros2/launch/issues/549>)
  * Contributors: David V. Lu!!, Immanuel Martini

 -- William Woodall <william@osrfoundation.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-launch (0.17.0-1focal) focal; urgency=high

  * Only try to wrap the fd in a socket on Windows (#498 <https://github.com/ros2/launch/issues/498>)
  * Close the socket pair used for signal management (#497 <https://github.com/ros2/launch/issues/497>)
  * Remove is_winsock_handle() and instead test if wrapping the handle in a socket.socket() works (#494 <https://github.com/ros2/launch/issues/494>)
  * Add frontend substitution for logging directory (#490 <https://github.com/ros2/launch/issues/490>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-launch (0.16.0-1focal) focal; urgency=high

  * Add arg_choice arg to DeclareLaunchArguments (#483 <https://github.com/ros2/launch/issues/483>)
  * Contributors: Victor Lopez

 -- William Woodall <william@osrfoundation.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-launch (0.15.0-1focal) focal; urgency=high

  * Support Python 3.8-provided importlib.metadata (#482 <https://github.com/ros2/launch/issues/482>)
  * Workaround asyncio signal handling on Unix (#479 <https://github.com/ros2/launch/issues/479>)
  * Handle signals within the asyncio loop. (#476 <https://github.com/ros2/launch/issues/476>)
  * Support non-interactive launch.LaunchService runs (#475 <https://github.com/ros2/launch/issues/475>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-launch (0.14.0-1focal) focal; urgency=high

  * print stderr message when command failed (#474 <https://github.com/ros2/launch/issues/474>)
  * Add frontend support for LogInfo action (#467 <https://github.com/ros2/launch/issues/467>)
  * Contributors: Jacob Perron, Takamasa Horibe

 -- William Woodall <william@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-launch (0.13.0-1focal) focal; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml (#468 <https://github.com/ros2/launch/issues/468>)
  * Fix bug in launch.actions.TimerAction.parse() (#470 <https://github.com/ros2/launch/issues/470>)
  * Allow configuring logging directory through environment variables (#460 <https://github.com/ros2/launch/issues/460>)
  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Expose Timer action in launch xml (#462 <https://github.com/ros2/launch/issues/462>)
  * Fix dollar symbols in substitution grammar (#461 <https://github.com/ros2/launch/issues/461>)
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic, Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 04 Nov 2020 08:00:00 -0000

ros-galactic-launch (0.12.0-1focal) focal; urgency=high

  * Add new conditions for checking launch configuration values (#453 <https://github.com/ros2/launch/issues/453>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Aug 2020 07:00:00 -0000

ros-galactic-launch (0.11.1-1focal) focal; urgency=high

  * Refactor launch service run_async loop to wait on futures and queued events (#449 <https://github.com/ros2/launch/issues/449>)
  * Fix documentation typo (#446 <https://github.com/ros2/launch/issues/446>)
  * Fix type_utils.extract_type() function. (#445 <https://github.com/ros2/launch/issues/445>)
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-galactic-launch (0.11.0-1focal) focal; urgency=high

  * Handle empty strings in type coercion. (#443 <https://github.com/ros2/launch/issues/443>)
  * Consolidate type_utils in a way that can be reused in substitution results that need to be coerced to a specific type (#438 <https://github.com/ros2/launch/issues/438>)
  * Delete unnecessary loading of 'launch.frontend.interpolate_substitution_method' entry point that was never used (#434 <https://github.com/ros2/launch/issues/434>)
  * Avoid side effect, defer until needed (#432 <https://github.com/ros2/launch/issues/432>)
  * Remove pkg_resources, replace it with the use of the more modern importlib* libraries. (#430 <https://github.com/ros2/launch/issues/430>)
  * Remove the asyncio.wait loop parameter. (#429 <https://github.com/ros2/launch/issues/429>)
  * Add pytest.ini so local tests don't display warning (#428 <https://github.com/ros2/launch/issues/428>)
  * Defer shutdown if already running (#427 <https://github.com/ros2/launch/issues/427>)
  * Add respawn and respawn_delay support (#426 <https://github.com/ros2/launch/issues/426>)
  * Fix up parser.py (#414 <https://github.com/ros2/launch/issues/414>)
  * Contributors: CHEN, Chris Lalancette, Dan Rose, Dirk Thomas, Ivan Santiago Paunovic, Jorge Perez, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Aug 2020 07:00:00 -0000

ros-galactic-launch (0.10.2-1focal) focal; urgency=high

  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Contributors: Michel Hidalgo


